/*
 * Copyright (c) 2023 - 2024. KeyWare.Co.Ltd All rights reserved.
 * 项目名称：信息安全性设计准则检查插件
 * 项目描述：用于检查源代码的安全性设计准则的Sonarqube插件
 * 版权说明：本软件属北京关键科技股份有限公司所有，在未获得北京关键科技股份有限公司正式授权情况下，任何企业和个人，不能获取、阅读、安装、传播本软件涉及的任何受知识产权保护的内容。
 */
package com.keyware.sonar.Configuration;

import com.keyware.sonar.Configuration.rules.ConfigurationSecurityDesignRulesRepository;
import org.sonar.api.Plugin;

/**
 *  安全性设计准则插件
 *
 * @author GuoXin
 * @date 2024/1/6
 */
public class ConfigurationSecurityDesignRulesPlugin implements Plugin {
    @Override
    public void define(Context context) {
        // 服务器扩展 - >对象在服务器启动期间实例化
        context.addExtension(ConfigurationSecurityDesignRulesRepository.class);

        // 服务器扩展 - >对象在服务器启动期间实例化
        context.addExtension(ConfigurationSecurityDesignWayProfile.class);


        context.addExtension(ConfigurationFileLanguage.class);


        context.addExtension(ConfigFileSquidSensor.class);


        context.addExtensions(ConfigurationFileLanguage.getProperties());

    }
}
