/*
 * Copyright (c) 2023 - 2024. KeyWare.Co.Ltd All rights reserved.
 * 项目名称：28所 C++ 信息安全性设计准则
 * 项目描述：用于检查C++源代码的安全性设计准则的Sonarqube插件
 * 版权说明：本软件属北京关键科技股份有限公司所有，在未获得北京关键科技股份有限公司正式授权情况下，任何企业和个人，不能获取、阅读、安装、传播本软件涉及的任何受知识产权保护的内容。
 */
package com.keyware.sonar.cxx.rules.checkers;

import com.sonar.cxx.sslr.api.AstNode;
import com.sonar.cxx.sslr.api.Grammar;
import org.sonar.check.Rule;
import org.sonar.cxx.squidbridge.annotations.ActivatedByDefault;
import org.sonar.cxx.squidbridge.annotations.SqaleConstantRemediation;
import org.sonar.cxx.squidbridge.checks.SquidCheck;

import javax.annotation.Nullable;
/**
 * TODO LogChecker
 *
 * @author RenFengJiang
 * @date 2024/1/16
 */
@Rule(key = "LogChecker", name = "日志文件检查", description = "在产品发布之前移除产生日志文件的代码")
@ActivatedByDefault
@SqaleConstantRemediation("5min")
public class LogChecker extends SquidCheck<Grammar> {

    @Override
    public void visitFile(@Nullable AstNode astNode) {
         if(getContext().getInputFile().filename().endsWith(".log")){
             getContext().createFileViolation(this, "日志文件检查");
         }
    }
}
