#include <cstring>
#include <iostream>

// 假设这是全局或类成员变量
char buffer[1024];
size_t bufferSize = sizeof(buffer);
size_t usedBufferSize = 0;

void testOne(const char* data, size_t dataSize) {
    // 检查要写入的数据是否超过缓冲区的剩余空间
//     if (dataSize > bufferSize - usedBufferSize) {
//         std::cerr << "Error: Data size exceeds buffer remaining capacity." << std::endl;
//         return;
//     }

    // 安全地复制数据到缓冲区的剩余空间
    memcpy(buffer , data, dataSize);//error
    // 更新缓冲区已使用的空间
    usedBufferSize += dataSize;
}

void testTwo(const char* data, size_t dataSize) {
    // 检查要写入的数据是否超过缓冲区的剩余空间
    // if (dataSize > bufferSize - usedBufferSize) {
    //     std::cerr << "Error: Data size exceeds buffer remaining capacity." << std::endl;
    //     return;
    // }

    // 安全地复制数据到缓冲区的剩余空间
    strncpy(buffer, data, dataSize);//error
    // 更新缓冲区已使用的空间
    usedBufferSize += dataSize;
}

void testThree(const char* data, size_t dataSize) {
    // 检查要写入的数据是否超过缓冲区的剩余空间
    // if (dataSize > bufferSize - usedBufferSize) {
    //     std::cerr << "Error: Data size exceeds buffer remaining capacity." << std::endl;
    //     return;
    // }

    // 安全地复制数据到缓冲区的剩余空间
    memset(buffer, 0, dataSize);//error
    // 更新缓冲区已使用的空间
    usedBufferSize += dataSize;
}

int main() {
    const char* testData = "Hello, World!";
    size_t testDataSize = strlen(testData) + 1; // 包含结束符'\0'

    testOne(testData, testDataSize);
    testTwo(testData, testDataSize);
    testThree(testData, testDataSize);
    // 输出缓冲区内容以验证
    for (size_t i = 0; i < usedBufferSize; ++i) {
        if (buffer[i] == '\0') break;
        std::cout << buffer[i];
    }
    std::cout << std::endl;

    return 0;
}