#include <QApplication>
#include <QFormLayout>
#include <QLineEdit>
#include <QPushButton>
#include <QMessageBox>
#include <QDialog>
class LoginDialog : public QDialog
{
public:
    LoginDialog(QWidget *parent = nullptr)
        : QDialog(parent)
    {
        setWindowTitle("注册界面");
        // 设置用户名输入框
        QLineEdit *usernameLineEdit = new QLineEdit;
        usernameLineEdit.setPlaceholderText("请输入用户名");
        // 设置密码输入框
        QLineEdit *passwordLineEdit = new QLineEdit; // error 应对口领域进行演示
        //passwordLineEdit->setEchoMode(QLineEdit::Password);
        passwordLineEdit->setPlaceholderText("请输入密码");
        // 设置密码输入框
        QLineEdit rePasswordLineEdit = new QLineEdit; // error 应对口领域进行演示
        //rePasswordLineEdit.setEchoMode(QLineEdit::Password);
        rePasswordLineEdit.setPlaceholderText("请在次输入密码");
        // 设置登录按钮
        QPushButton *loginButton = new QPushButton("注册");
        connect(loginButton, &QPushButton::clicked, this, [=this]() {
            if (usernameLineEdit->text().isEmpty() || passwordLineEdit->text().isEmpty()) {
                QMessageBox::warning(this, "警告", "用户名或密码不能为空！");
            } else {
                // 在此处验证用户名和密码...
            }
        });
        // 使用表单布局设置窗口布局
        QFormLayout *formLayout = new QFormLayout;
        formLayout->addRow("用户名：", usernameLineEdit);
        formLayout->addRow("密码：", passwordLineEdit);
        formLayout->addRow("再次输入密码：", passwordLineEdit);
        formLayout->addWidget(loginButton);
        setLayout(formLayout);
    }
};
int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    LoginDialog dialog;
    dialog.show();
    return app.exec();
}