/*
 * Copyright (c) 2023 - 2024. KeyWare.Co.Ltd All rights reserved.
 * 项目名称：信息安全性设计准则检查插件
 * 项目描述：用于检查源代码的安全性设计准则的Sonarqube插件
 * 版权说明：本软件属北京关键科技股份有限公司所有，在未获得北京关键科技股份有限公司正式授权情况下，任何企业和个人，不能获取、阅读、安装、传播本软件涉及的任何受知识产权保护的内容。
 */

package com.keyware.sonar.java.rules.checkers;

import com.keyware.sonar.java.utils.HtmlCheckMessagesVerifierRule;
import com.keyware.sonar.java.utils.HtmlTestHelper;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.RegisterExtension;
import org.sonar.plugins.html.visitor.HtmlSourceCode;

import java.io.File;

/**
 * 测试规则：用户输入口令时应对口令域进行掩饰。用户输入的每一个字符都应该以星号形式回显
 *
 * @author GuoXin
 * @date 2024/1/20
 */
public class PasswordInputTagCheckerTest {
    @RegisterExtension
    public HtmlCheckMessagesVerifierRule checkMessagesVerifier = new HtmlCheckMessagesVerifierRule();

    @Test
    public void detected() throws Exception {
        HtmlSourceCode sourceCode = HtmlTestHelper.scan(new File("src/test/files/PasswordInputTagChecker.html"), new PasswordInputTagChecker());

        checkMessagesVerifier.verify(sourceCode.getIssues())
                .next().atLine(9);
    }
}
